/Users/bernard/b20/bsoft/src/bmod2part.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bmod2part.cpp - Converting from a pseudo-atomic model to particle parameters.

SYNOPSIS

#include 'rwmodel.h'
#include 'model_select.h'
#include 'model_util.h'
#include 'rwmg.h'
#include 'mg_processing.h'
#include 'rwimg.h'
#include 'file_util.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
Bproject * project_part_from_model (Bmodel *model, Vector3< double > origin, Vector3< double > sampling, Vector3< long > box_size)
Converts component coordinates in a model to reconstruction particle coordinates.
Bmodel * models_from_particles (Bproject *project)
Converts particle coordinates for a reconstruction into model component coordinates.
Bmodel * components_from_2D_particles (Bproject *project)
Converts particle coordinates from micrographs into model component coordinates.
Bmodel * components_from_3D_particles (Bproject *project)
Converts particle coordinates for a reconstruction into model component coordinates.
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

Converting from a pseudo-atomic model to particle parameters.

Author:
    Bernard Heymann

Date:
    Created: 20070423

    Modified: 20160616

Definition in file bmod2part.cpp.

Function Documentation

  Bmodel * components_from_2D_particles (Bproject * project)

Converts particle coordinates from micrographs into model component coordinates.

Parameters:
    *project project with micrographs.

Returns:
    Bmodel* new project.

Definition at line 275 of file bmod2part.cpp.

  Bmodel * components_from_3D_particles (Bproject * project)

Converts particle coordinates for a reconstruction into model component coordinates.

Parameters:
    *project project with reconstruction.

Returns:
    Bmodel* new project.

Definition at line 316 of file bmod2part.cpp.

  int main (int argc, char ** argv)

Definition at line 58 of file bmod2part.cpp.

  Bmodel * models_from_particles (Bproject * project)

Converts particle coordinates for a reconstruction into model component coordinates.

Parameters:
    *project project with reconstruction.

Returns:
    Bmodel* new project.

Definition at line 234 of file bmod2part.cpp.

  Bproject * project_part_from_model (Bmodel * model, Vector3< double > origin, Vector3< double > sampling, Vector3< long > box_size)

Converts component coordinates in a model to reconstruction particle coordinates.

Parameters:
    *model model.
    origin map origin in voxel coordinates.
    sampling voxel size.
    box_size particle box size.

Returns:
    Bproject* new project.

Definition at line 190 of file bmod2part.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bmod2part [options] input.star",
"-------------------------------------",
"Converting between model components and reconstruction particle parameters.",
" ",
"Actions:",
"-reconstructions         Operate on reconstruction parameters rather than micrographs.",
"-all                     Reset selection to all components before other selections.",
"-type comp               Type of conversion: part->models or part->components.",
" ",
"Parameters:",
"-verbose 7               Verbose output.",
"-origin 0,0,0            Origin placement within image (default 0,0,0).",
"-sampling 1              Sampling (default 1 angstrom/voxel).",
"-box 100,83,120          Particle box size (default 50,50,50; one sets all).",
" ",
"Input:",
"-map image.spi           Input 3D map file.",
"-parameters param.star   Input atomic parameter file.",
" ",
"Output:",
"-output part.star        Output particle parameter or model file.",
" ",
NULL
}

Definition at line 31 of file bmod2part.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.